﻿@using EReader.BL.Domain
@model AddBookViewModel


<form @*action="/Book/Add"*@ asp-controller="Book" asp-action="Add" method="post">
    <div asp-validation-summary="All"></div>
    @*<input name="title"><br>*@
    <label asp-for="BookTitle"></label><input asp-for="BookTitle"><br>
    @*
    <span asp-validation-for="BookTitle" class="text-danger"></span><br>
    *@
    @*<input name="format" type="number"><br>*@
    <label asp-for="FormatOfBook"></label>
    @*<input asp-for="FormatOfBook" type="number"><br>*@
    @*<select asp-for="FormatOfBook">
        @foreach (string formatName in Enum.GetNames<BookFormat>())
        {
            <option value="@formatName">@formatName</option>
        }
    </select><br>*@
    <select asp-for="FormatOfBook" asp-items="new SelectList(Enum.GetNames<BookFormat>())"></select><br>
    @*
    <span asp-validation-for="FormatOfBook" class="text-danger"></span><br>
    *@
    
    <label asp-for="DatePublished"></label>
    <input asp-for="DatePublished" type="text" value="@Model?.DatePublished?.ToString("dd/MM/yyyy")" placeholder="format: dd/mm/jjjj"><br>
    
    <button type="submit">Aanmaken</button>
    @*<input type="submit" value="Aanmaken">*@
</form>

